Loading...
Searching...
No Matches
Exiv2::Internal::CrwMapping Struct Reference

Structure for a mapping table for conversion of CIFF entries to image metadata and vice versa. More...

`#include <crwimage_int.hpp>`

## Creators

uint16_t | crwTagId_
| CRW tag id.
uint16_t | crwDir_
| CRW directory tag.
uint32_t | size_
| Data size (overwrites the size from the entry)
uint16_t | tag_
| Exif tag to map to.
IfdId | ifdId_
| Exif Ifd id to map to.
CrwDecodeFct | toExif_
| Conversion function.
CrwEncodeFct | fromExif_
| Reverse conversion function.
| CrwMapping (uint16_t crwTagId, uint16_t crwDir, uint32_t size, uint16_t tag, Internal::IfdId ifdId, CrwDecodeFct toExif, CrwEncodeFct fromExif)
| Default constructor.

## Detailed Description

Structure for a mapping table for conversion of CIFF entries to image metadata and vice versa.

The documentation for this struct was generated from the following file:

- crwimage_int.hpp